# Visualization
TKService
PlotMgt

# PlotMgt_HListOfPlotterParameter Class Reference

`#include <PlotMgt_HListOfPlotterParameter.hxx>`

## Public Member Functions

| PlotMgt_HListOfPlotterParameter ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(PlotMgt_PlotterParameter)&anItem)
Standard_EXPORT void | Append (const Handle(PlotMgt_HListOfPlotterParameter)&aSequence)
Standard_EXPORT void | Prepend (const Handle(PlotMgt_PlotterParameter)&anItem)
Standard_EXPORT void | Prepend (const Handle(PlotMgt_HListOfPlotterParameter)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(PlotMgt_PlotterParameter)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(PlotMgt_HListOfPlotterParameter)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(PlotMgt_PlotterParameter)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(PlotMgt_HListOfPlotterParameter)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_PlotMgt_HListOfPlotterParameter | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(PlotMgt_PlotterParameter)&anItem)
Standard_EXPORT const Handle_PlotMgt_PlotterParameter & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_PlotMgt_PlotterParameter & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const PlotMgt_ListOfPlotterParameter & | Sequence () const
PlotMgt_ListOfPlotterParameter & | ChangeSequence ()
Standard_EXPORT Handle_PlotMgt_HListOfPlotterParameter | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

PlotMgt_ListOfPlotterParameter | mySequence

## Constructor & Destructor Documentation

PlotMgt_HListOfPlotterParameter::PlotMgt_HListOfPlotterParameter | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Append | ( | const Handle(PlotMgt_HListOfPlotterParameter)& | aSequence | ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Append | ( | const Handle(PlotMgt_PlotterParameter)& | anItem | ) |

PlotMgt_ListOfPlotterParameter& PlotMgt_HListOfPlotterParameter::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_PlotMgt_PlotterParameter& PlotMgt_HListOfPlotterParameter::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Clear | ( |  | ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const PlotMgt_HListOfPlotterParameter::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(PlotMgt_HListOfPlotterParameter)& | aSequence
| ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(PlotMgt_PlotterParameter)& | anItem
| ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(PlotMgt_HListOfPlotterParameter)& | aSequence
| ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(PlotMgt_PlotterParameter)& | anItem
| ) |

Standard_Boolean PlotMgt_HListOfPlotterParameter::IsEmpty | ( |  | ) | const

Standard_Integer PlotMgt_HListOfPlotterParameter::Length | ( |  | ) | const

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Prepend | ( | const Handle(PlotMgt_HListOfPlotterParameter)& | aSequence | ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Prepend | ( | const Handle(PlotMgt_PlotterParameter)& | anItem | ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::Reverse | ( |  | ) |

const PlotMgt_ListOfPlotterParameter& PlotMgt_HListOfPlotterParameter::Sequence | ( |  | ) | const

Standard_EXPORT void PlotMgt_HListOfPlotterParameter::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(PlotMgt_PlotterParameter)& | anItem
| ) |

Standard_EXPORT Handle_PlotMgt_HListOfPlotterParameter PlotMgt_HListOfPlotterParameter::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_PlotMgt_HListOfPlotterParameter PlotMgt_HListOfPlotterParameter::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_PlotMgt_PlotterParameter& PlotMgt_HListOfPlotterParameter::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

PlotMgt_ListOfPlotterParameter PlotMgt_HListOfPlotterParameter::mySequence `[private]`

The documentation for this class was generated from the following file:

- PlotMgt_HListOfPlotterParameter.hxx